Connect Commerce API

API reference

Connect Commerce — API Reference

Base URL: https://api.goldrail.xyz (also https://api.openconnect.cc, where /connect/* = /api/connect/*).

Every route below also answers under the train alias /api/genesis/.... Generated from the Official Postman collection (goldrail-api/postman/official-connect-commerce.collection.json), itself built from the route inventory of the code. The Auth column gives the expected credential.

Guides: Connect Commerce.

cashout

MethodPathOperationAuth
GET/api/connect/commerce/cashout/client/nearby?lat=14.6937&lng=-17.4441&radius_km=8Nearby agentsAPI key
GET/api/connect/commerce/cashout/client/agents/{cashoutAgentId}Get agentAPI key
POST/api/connect/commerce/cashout/client/sessionsCreate sessionAPI key
GET/api/connect/commerce/cashout/client/sessions?customer_id={customerId}List client sessionsAPI key
GET/api/connect/commerce/cashout/client/sessions/{cashoutSessionId}Get sessionAPI key
POST/api/connect/commerce/cashout/client/sessions/{cashoutSessionId}/cancelCancel sessionAPI key
POST/api/connect/commerce/cashout/business/agentsCreate agentAPI key
GET/api/connect/commerce/cashout/business/agents?customer_id={customerId}List owner agentsAPI key
GET/api/connect/commerce/cashout/business/agents/{cashoutAgentId}?customer_id={customerId}Get owner agentAPI key
PATCH/api/connect/commerce/cashout/business/agents/{cashoutAgentId}Patch agentAPI key
POST/api/connect/commerce/cashout/business/agents/{cashoutAgentId}/openSet openAPI key
GET/api/connect/commerce/cashout/business/agents/{cashoutAgentId}/qr?customer_id={customerId}Agent QRAPI key
POST/api/connect/commerce/cashout/business/agents/{cashoutAgentId}/media/presignPresign agent mediaAPI key
GET/api/connect/commerce/cashout/business/agents/{cashoutAgentId}/sessions?customer_id={customerId}List agent sessionsAPI key
POST/api/connect/commerce/cashout/business/sessions/{cashoutSessionId}/authorizeAuthorize sessionAPI key
POST/api/connect/commerce/cashout/business/sessions/{cashoutSessionId}/cash-handedCash handedAPI key
POST/api/connect/commerce/cashout/business/sessions/{cashoutSessionId}/completeComplete payout retryAPI key
POST/api/connect/commerce/cashout/business/sessions/{cashoutSessionId}/failFail sessionAPI key

checkout / core

MethodPathOperationAuth
POST/api/connect/commerce/checkout/coreCreate checkoutAPI key
POST/api/connect/commerce/checkout/core/{session_id}/executeExecute checkoutAPI key

checkout / protocol

MethodPathOperationAuth
GET/api/connect/commerce/checkout/protocol/checkout-settingsGET checkout-settingsSub-Platform key
PATCH/api/connect/commerce/checkout/protocol/checkout-settingsPATCH checkout-settingsSub-Platform key
GET/api/connect/commerce/checkout/protocol/order-prep-settingsGET order-prep-settingsSub-Platform key
PATCH/api/connect/commerce/checkout/protocol/order-prep-settingsPATCH order-prep-settingsSub-Platform key

collections

MethodPathOperationAuth
POST/api/connect/commerce/collections/campaignsCreate campaignAPI key
GET/api/connect/commerce/collections/campaigns/{campaignId}Get campaignAPI key
POST/api/connect/commerce/collections/campaigns/{campaignId}/closeClose campaignAPI key
POST/api/connect/commerce/collections/campaigns/{campaignId}/contributionsContributeAPI key
GET/api/connect/commerce/collections/public/campaigns/{campaignCode}Public campaignPublic
GET/api/connect/commerce/collections/public/campaigns/{campaignCode}/commentsPublic commentsPublic
POST/api/connect/commerce/collections/campaigns/{campaignId}/commentsCreate commentAPI key
POST/api/connect/commerce/collections/campaigns/{campaignId}/comments/{commentId}/likeLike commentAPI key
POST/api/connect/commerce/collections/campaigns/{campaignId}/comments/{commentId}/hideHide commentAPI key
POST/api/connect/commerce/collections/campaigns/{campaignId}/messagesOwner messageAPI key
GET/api/connect/commerce/collections/campaigns/{campaignId}/messages?actor_customer_id={customerId}Owner inboxAPI key
GET/api/connect/commerce/collections/campaigns/{campaignId}/messages/mine?actor_customer_id={customerId}My messagesAPI key
POST/api/connect/commerce/collections/campaigns/{campaignId}/messages/{messageId}/readMark message readAPI key
POST/api/connect/commerce/collections/splitsCreate splitAPI key
GET/api/connect/commerce/collections/splits/{splitId}Get splitAPI key
POST/api/connect/commerce/collections/splits/{splitId}/members/{memberId}/payPay split memberAPI key
POST/api/connect/commerce/collections/splits/{splitId}/cancelCancel splitAPI key

drive

MethodPathOperationAuth
POST/api/connect/commerce/drive/client/quoteQuote rideAPI key
POST/api/connect/commerce/drive/client/ridesCreate rideAPI key
GET/api/connect/commerce/drive/client/rides?customer_id={customerId}List ridesAPI key
GET/api/connect/commerce/drive/client/rides/{rideId}Get rideAPI key
POST/api/connect/commerce/drive/client/rides/{rideId}/cancelCancel rideAPI key
POST/api/connect/commerce/drive/client/rides/{rideId}/rateRate rideAPI key
POST/api/connect/commerce/drive/client/rides/{rideId}/tipTip rideAPI key
POST/api/connect/commerce/drive/business/profileUpsert profileAPI key
POST/api/connect/commerce/drive/business/availabilityGo onlineAPI key
GET/api/connect/commerce/drive/business/profile/earnings?customer_id={customerId}Profile earningsAPI key
POST/api/connect/commerce/drive/business/locationLocation snapshotAPI key
GET/api/connect/commerce/drive/business/offers?customer_id={customerId}Incoming offersAPI key
POST/api/connect/commerce/drive/business/offers/{offerId}/decideDecide offerAPI key
GET/api/connect/commerce/drive/business/missions?customer_id={customerId}MissionsAPI key
POST/api/connect/commerce/drive/business/rides/{rideId}/advanceAdvance taxi rideAPI key
POST/api/connect/commerce/drive/business/intents/{intentId}/triggerIntent triggerAPI key

eat

MethodPathOperationAuth
GET/api/connect/commerce/eat/business/typesList typesAPI key
POST/api/connect/commerce/eat/business/merchantsCreate merchantAPI key
GET/api/connect/commerce/eat/business/merchants?customer_id={customerId}List merchantsAPI key
GET/api/connect/commerce/eat/business/merchants/{merchantId}Get merchantAPI key
PATCH/api/connect/commerce/eat/business/merchants/{merchantId}Patch merchant liveAPI key
POST/api/connect/commerce/eat/business/merchants/{merchantId}/media/presignPresign mediaAPI key
POST/api/connect/commerce/eat/business/merchants/{merchantId}/categoriesCreate categoryAPI key
POST/api/connect/commerce/eat/business/merchants/{merchantId}/productsCreate productAPI key
GET/api/connect/commerce/eat/business/merchants/{merchantId}/catalogCatalogAPI key
GET/api/connect/commerce/eat/business/orders?merchant_id={merchantId}Orders projectionAPI key
GET/api/connect/commerce/eat/client/merchants?near=14.6937,-17.4441&radius_m=3000FeedAPI key
GET/api/connect/commerce/eat/client/merchants/{merchantId}MerchantAPI key
GET/api/connect/commerce/eat/client/merchants/{merchantId}/catalogCatalogAPI key
GET/api/connect/commerce/eat/client/products/{productId}ProductAPI key
GET/api/connect/commerce/eat/client/cart?customer_id={customerId}Get cartAPI key
PUT/api/connect/commerce/eat/client/cart/linesPut cart lineAPI key
POST/api/connect/commerce/eat/client/cart/quoteQuote cartAPI key
POST/api/connect/commerce/eat/client/ordersPlace orderAPI key

escrow

MethodPathOperationAuth
PUT/api/connect/commerce/escrow/core/configUpsert configAPI key
GET/api/connect/commerce/escrow/core/configGet configAPI key
POST/api/connect/commerce/escrow/ordersCreate orderAPI key
GET/api/connect/commerce/escrow/orders/{orderId}Get orderAPI key
POST/api/connect/commerce/escrow/orders/{orderId}/shipmentShip orderAPI key
POST/api/connect/commerce/escrow/orders/{orderId}/releaseRelease orderAPI key
POST/api/connect/commerce/escrow/orders/{orderId}/refundRefund orderAPI key
GET/api/connect/commerce/escrow/settlementsList settlementsAPI key
POST/api/connect/commerce/escrow/settlements/runRun settlementAPI key
GET/api/connect/commerce/escrow/vendors/{vendorId}/payoutsVendor payoutsAPI key

gift-cards

MethodPathOperationAuth
GET/api/connect/commerce/gift-cards/productsList productsAPI key
POST/api/connect/commerce/gift-cards/productsCreate productAPI key
POST/api/connect/commerce/gift-cards/purchasePurchaseAPI key
GET/api/connect/commerce/gift-cards/cards?owner_customer_id={customerId}List cardsAPI key
GET/api/connect/commerce/gift-cards/cards/{giftCardId}Get cardAPI key
POST/api/connect/commerce/gift-cards/cards/{giftCardId}/redeemRedeemAPI key
POST/api/connect/commerce/gift-cards/cards/{giftCardId}/transferTransferAPI key

kiosk

MethodPathOperationAuth
GET/api/connect/commerce/kiosk/business/typesList typesAPI key
POST/api/connect/commerce/kiosk/business/merchantsCreate merchantAPI key
GET/api/connect/commerce/kiosk/business/merchants?customer_id={customerId}List merchantsAPI key
GET/api/connect/commerce/kiosk/business/merchants/{merchantId}Get merchantAPI key
PATCH/api/connect/commerce/kiosk/business/merchants/{merchantId}Patch merchant liveAPI key
POST/api/connect/commerce/kiosk/business/merchants/{merchantId}/media/presignPresign mediaAPI key
POST/api/connect/commerce/kiosk/business/merchants/{merchantId}/categoriesCreate categoryAPI key
POST/api/connect/commerce/kiosk/business/merchants/{merchantId}/productsCreate productAPI key
GET/api/connect/commerce/kiosk/business/merchants/{merchantId}/catalogCatalogAPI key
GET/api/connect/commerce/kiosk/business/orders?merchant_id={merchantId}Orders projectionAPI key
GET/api/connect/commerce/kiosk/client/merchants?near=14.6937,-17.4441&radius_m=3000FeedAPI key
GET/api/connect/commerce/kiosk/client/merchants/{merchantId}MerchantAPI key
GET/api/connect/commerce/kiosk/client/merchants/{merchantId}/catalogCatalogAPI key
GET/api/connect/commerce/kiosk/client/products/{productId}ProductAPI key
GET/api/connect/commerce/kiosk/client/cart?customer_id={customerId}Get cartAPI key
PUT/api/connect/commerce/kiosk/client/cart/linesPut cart lineAPI key
POST/api/connect/commerce/kiosk/client/cart/quoteQuote cartAPI key
POST/api/connect/commerce/kiosk/client/ordersPlace orderAPI key
MethodPathOperationAuth
GET/api/connect/commerce/link-in-bio/fintech/providersList linkinbio providersAPI key
PATCH/api/connect/commerce/link-in-bio/fintech/providers/paylink_cool/settingsPatch provider settingsAPI key
GET/api/connect/commerce/link-in-bio/fintech/providers/paylink_cool/usernames/availability?username=demo_userUsername availabilityAPI key
POST/api/connect/commerce/link-in-bio/fintech/customers/{customerId}/usernamesAssign scoped usernameAPI key
POST/api/connect/commerce/link-in-bio/fintech/customers/{customerId}/universal-usernamesCreate universal usernameAPI key
MethodPathOperationAuth
GET/api/connect/commerce/link-in-bio/public/providersList public providersPublic
GET/api/connect/commerce/link-in-bio/public/resolve?provider=world_openid&username=demo_userResolve universal usernamePublic

marketplace

MethodPathOperationAuth
POST/api/connect/commerce/marketplace/business/vendorsUpsert vendorAPI key
GET/api/connect/commerce/marketplace/business/vendorsList vendorsAPI key
GET/api/connect/commerce/marketplace/business/vendors/{vendorId}Get vendorAPI key
POST/api/connect/commerce/marketplace/business/listingsCreate listingAPI key
GET/api/connect/commerce/marketplace/business/listingsList listingsAPI key
GET/api/connect/commerce/marketplace/business/listings/{listingId}Get listingAPI key
PATCH/api/connect/commerce/marketplace/business/listings/{listingId}Patch listingAPI key
POST/api/connect/commerce/marketplace/business/listings/{listingId}/media/presignPresign mediaAPI key
GET/api/connect/commerce/marketplace/business/listings/{listingId}/mediaList mediaAPI key
GET/api/connect/commerce/marketplace/client/listingsList published listingsAPI key
GET/api/connect/commerce/marketplace/client/listings/{listingId}Get published listingAPI key
GET/api/connect/commerce/marketplace/client/listings/{listingId}/media/{mediaId}/url?customer_id={customerId}Signed media URLAPI key
GET/api/connect/commerce/marketplace/client/entitlements?customer_id={customerId}List entitlementsAPI key
POST/api/connect/commerce/marketplace/client/checkout-intentCheckout intentAPI key

orders

MethodPathOperationAuth
GET/api/connect/commerce/orders/transitionsGet transitionsAPI key
PUT/api/connect/commerce/orders/transitionsPut transitionsAPI key
POST/api/connect/commerce/orders/shadowShadow replayAPI key
GET/api/connect/commerce/orders/cod/coverageGet coverageAPI key
GET/api/connect/commerce/orders/cod/positions/{presenceEntityId}Get courier positionAPI key
POST/api/connect/commerce/orders/cod/positions/{presenceEntityId}/regularizeRegularizeAPI key
POST/api/connect/commerce/orders/intents/{fulfillmentIntentId}/cod/otpIssue dropoff OTPAPI key
POST/api/connect/commerce/orders/intents/{fulfillmentIntentId}/cod/collectCollect + completeAPI key

orders / intents

MethodPathOperationAuth
GET/api/connect/commerce/orders/intents/{fulfillmentIntentId}Get intentAPI key
POST/api/connect/commerce/orders/intents/{fulfillmentIntentId}/assignAssign courierAPI key
POST/api/connect/commerce/orders/intents/{fulfillmentIntentId}/eventsPost eventAPI key
POST/api/connect/commerce/orders/intents/{fulfillmentIntentId}/compensateCompensateAPI key

orders / orders

MethodPathOperationAuth
POST/api/connect/commerce/orders/ordersCreate orderAPI key
GET/api/connect/commerce/orders/orders?limit=50List ordersAPI key
GET/api/connect/commerce/orders/orders/{fulfillmentOrderId}Get orderAPI key
POST/api/connect/commerce/orders/orders/{fulfillmentOrderId}/intentsCreate intentAPI key
GET/api/connect/commerce/orders/orders/{fulfillmentOrderId}/settlementList settlementAPI key

orders / settings

MethodPathOperationAuth
GET/api/connect/commerce/orders/settingsGet settingsAPI key
PATCH/api/connect/commerce/orders/settingsPatch settingsAPI key

payment-methods

MethodPathOperationAuth
GET/api/connect/commerce/payment-methodsGet portal payment methodsSub-Platform key
PATCH/api/connect/commerce/payment-methodsUpdate portal payment methodsSub-Platform key

pos

MethodPathOperationAuth
POST/api/connect/commerce/pos/sessionsOpen roomAPI key
POST/api/connect/commerce/pos/pairingClaim pairing (public)Public
POST/api/connect/commerce/pos/sessions/{pos_session_id}/push-paymentPush paymentPOS device token
POST/api/connect/commerce/pos/sessions/{pos_session_id}/push-tipPush tipPOS device token
GET/api/connect/commerce/pos/settingsGet settingsAPI key
PUT/api/connect/commerce/pos/settingsPut settingsAPI key
GET/api/connect/commerce/pos/catalogCatalog listAPI key
GET/api/connect/commerce/pos/catalog/lookup?barcode={pos_barcode}Catalog lookupAPI key
POST/api/connect/commerce/pos/catalog/image-searchCatalog image-searchAPI key
POST/api/connect/commerce/pos/catalog/images/{pos_image_id}/usedMark image usedAPI key
GET/api/connect/commerce/pos/pool/lookup?barcode={pos_barcode}Pool lookupAPI key
POST/api/connect/commerce/pos/catalogCatalog createAPI key
PATCH/api/connect/commerce/pos/catalog/{pos_catalog_item_id}Catalog patchAPI key
POST/api/connect/commerce/pos/sessions/{pos_session_id}/linesAdd sale lineAPI key
DELETE/api/connect/commerce/pos/sessions/{pos_session_id}/lines/{pos_line_id}Delete sale lineAPI key
GET/api/connect/commerce/pos/sessions/{pos_session_id}/receiptReceiptAPI key
GET/api/connect/commerce/pos/salesList salesAPI key

public / embed

MethodPathOperationAuth
POST/api/connect/commerce/public/embed/sessionsCreate embed sessionPublishable key
POST/api/connect/commerce/public/embed/sessions/{session_id}/stripe-expressStripe ExpressPublishable key

public / hosting

MethodPathOperationAuth
GET/api/connect/commerce/public/hosting/resolve?host=checkout.example.comResolve custom host (public)Public
GET/api/connect/commerce/public/hosting/smart-banner?slug=burok&surface=paylinkSmart App Banner (public)Public

qr

MethodPathOperationAuth
GET/api/connect/commerce/qr/optionsOptionsAPI key
GET/api/connect/commerce/qr?data=Bonjour&format=png&size=512&dotsType=rounded&dotsColor=%23143d66Render simpleAPI key
POST/api/connect/commerce/qrRenderAPI key

shop

MethodPathOperationAuth
GET/api/connect/commerce/shop/business/typesList typesAPI key
POST/api/connect/commerce/shop/business/merchantsCreate merchantAPI key
GET/api/connect/commerce/shop/business/merchants?customer_id={customerId}List merchantsAPI key
GET/api/connect/commerce/shop/business/merchants/{merchantId}Get merchantAPI key
PATCH/api/connect/commerce/shop/business/merchants/{merchantId}Patch merchant liveAPI key
POST/api/connect/commerce/shop/business/merchants/{merchantId}/media/presignPresign mediaAPI key
POST/api/connect/commerce/shop/business/merchants/{merchantId}/categoriesCreate categoryAPI key
POST/api/connect/commerce/shop/business/merchants/{merchantId}/productsCreate productAPI key
GET/api/connect/commerce/shop/business/merchants/{merchantId}/catalogCatalogAPI key
GET/api/connect/commerce/shop/business/orders?merchant_id={merchantId}Orders projectionAPI key
GET/api/connect/commerce/shop/client/merchants?near=14.6937,-17.4441&radius_m=3000FeedAPI key
GET/api/connect/commerce/shop/client/merchants/{merchantId}MerchantAPI key
GET/api/connect/commerce/shop/client/merchants/{merchantId}/catalogCatalogAPI key
GET/api/connect/commerce/shop/client/products/{productId}ProductAPI key
GET/api/connect/commerce/shop/client/cart?customer_id={customerId}Get cartAPI key
PUT/api/connect/commerce/shop/client/cart/linesPut cart lineAPI key
POST/api/connect/commerce/shop/client/cart/quoteQuote cartAPI key
POST/api/connect/commerce/shop/client/ordersPlace orderAPI key

More endpoints (from code) / checkout

MethodPathOperationAuth
GET/api/connect/commerce/checkout/coreGET /api/connect/commerce/checkout/coreAPI key
GET/api/connect/commerce/checkout/core/{id}GET /api/connect/commerce/checkout/core/:idAPI key
POST/api/connect/commerce/checkout/core/{id}/cancelPOST /api/connect/commerce/checkout/core/:id/cancelAPI key
GET/api/connect/commerce/checkout/core/payment-linksGET /api/connect/commerce/checkout/core/payment-linksAPI key
POST/api/connect/commerce/checkout/core/payment-linksPOST /api/connect/commerce/checkout/core/payment-linksAPI key
GET/api/connect/commerce/checkout/core/payment-links/{code}GET /api/connect/commerce/checkout/core/payment-links/:codeAPI key
PATCH/api/connect/commerce/checkout/core/payment-links/{code}/revokePATCH /api/connect/commerce/checkout/core/payment-links/:code/revokeAPI key
POST/api/connect/commerce/checkout/core/payment-qr-codesPOST /api/connect/commerce/checkout/core/payment-qr-codesAPI key
GET/api/connect/commerce/checkout/core/payment-qr-codes/{id}GET /api/connect/commerce/checkout/core/payment-qr-codes/:idAPI key
POST/api/connect/commerce/checkout/core/promo-codes/consumePOST /api/connect/commerce/checkout/core/promo-codes/consumeAPI key
POST/api/connect/commerce/checkout/core/promo-codes/validatePOST /api/connect/commerce/checkout/core/promo-codes/validateAPI key
POST/api/connect/commerce/checkout/core/sessionsPOST /api/connect/commerce/checkout/core/sessionsAPI key
GET/api/connect/commerce/checkout/core/sessions/{id}GET /api/connect/commerce/checkout/core/sessions/:idAPI key
GET/api/connect/commerce/checkout/protocol/promo-codesGET /api/connect/commerce/checkout/protocol/promo-codesSub-Platform key
POST/api/connect/commerce/checkout/protocol/promo-codesPOST /api/connect/commerce/checkout/protocol/promo-codesSub-Platform key
DELETE/api/connect/commerce/checkout/protocol/promo-codes/{id}DELETE /api/connect/commerce/checkout/protocol/promo-codes/:idSub-Platform key
GET/api/connect/commerce/checkout/protocol/promo-codes/{id}GET /api/connect/commerce/checkout/protocol/promo-codes/:idSub-Platform key
PATCH/api/connect/commerce/checkout/protocol/promo-codes/{id}PATCH /api/connect/commerce/checkout/protocol/promo-codes/:idSub-Platform key
POST/api/connect/commerce/checkout/protocol/promo-codes/consumePOST /api/connect/commerce/checkout/protocol/promo-codes/consumeSub-Platform key
POST/api/connect/commerce/checkout/protocol/promo-codes/validatePOST /api/connect/commerce/checkout/protocol/promo-codes/validateSub-Platform key
GET/api/connect/commerce/checkout/protocol/qr/dynamicGET /api/connect/commerce/checkout/protocol/qr/dynamicSub-Platform key
POST/api/connect/commerce/checkout/protocol/qr/dynamic/rotatePOST /api/connect/commerce/checkout/protocol/qr/dynamic/rotateSub-Platform key
GET/api/connect/commerce/checkout/protocol/qr/staticGET /api/connect/commerce/checkout/protocol/qr/staticSub-Platform key
GET/api/connect/commerce/checkout/public/{code}GET /api/connect/commerce/checkout/public/:codePublic
POST/api/connect/commerce/checkout/public/promo-codes/consumePOST /api/connect/commerce/checkout/public/promo-codes/consumePublic
POST/api/connect/commerce/checkout/public/promo-codes/validatePOST /api/connect/commerce/checkout/public/promo-codes/validatePublic

More endpoints (from code) / drive

MethodPathOperationAuth
PATCH/api/connect/commerce/drive/business/profilePATCH /api/connect/commerce/drive/business/profileAPI key
POST/api/connect/commerce/drive/business/rides/{rideId}/cancelPOST /api/connect/commerce/drive/business/rides/:rideId/cancelAPI key

More endpoints (from code) / eat

MethodPathOperationAuth
GET/api/connect/commerce/eat/business/merchants/{merchantId}/categoriesGET /api/connect/commerce/eat/business/merchants/:merchantId/categoriesAPI key
DELETE/api/connect/commerce/eat/business/merchants/{merchantId}/categories/{categoryId}DELETE /api/connect/commerce/eat/business/merchants/:merchantId/categories/:categoryIdAPI key
PATCH/api/connect/commerce/eat/business/merchants/{merchantId}/categories/{categoryId}PATCH /api/connect/commerce/eat/business/merchants/:merchantId/categories/:categoryIdAPI key
GET/api/connect/commerce/eat/business/merchants/{merchantId}/products/{productId}GET /api/connect/commerce/eat/business/merchants/:merchantId/products/:productIdAPI key
PATCH/api/connect/commerce/eat/business/merchants/{merchantId}/products/{productId}PATCH /api/connect/commerce/eat/business/merchants/:merchantId/products/:productIdAPI key
PUT/api/connect/commerce/eat/business/merchants/{merchantId}/products/{productId}/skusPUT /api/connect/commerce/eat/business/merchants/:merchantId/products/:productId/skusAPI key
POST/api/connect/commerce/eat/business/merchants/{merchantId}/products/{productId}/variant-groupsPOST /api/connect/commerce/eat/business/merchants/:merchantId/products/:productId/variant-groupsAPI key
POST/api/connect/commerce/eat/business/merchants/{merchantId}/products/{productId}/variant-groups/{groupId}/valuesPOST /api/connect/commerce/eat/business/merchants/:merchantId/products/:productId/variant-groups/:groupId/valuesAPI key
GET/api/connect/commerce/eat/business/merchants/{merchantId}/promotionsGET /api/connect/commerce/eat/business/merchants/:merchantId/promotionsAPI key
POST/api/connect/commerce/eat/business/merchants/{merchantId}/promotionsPOST /api/connect/commerce/eat/business/merchants/:merchantId/promotionsAPI key
PATCH/api/connect/commerce/eat/business/merchants/{merchantId}/promotions/{promoId}PATCH /api/connect/commerce/eat/business/merchants/:merchantId/promotions/:promoIdAPI key
POST/api/connect/commerce/eat/business/merchants/{merchantId}/reviews/{reviewId}/replyPOST /api/connect/commerce/eat/business/merchants/:merchantId/reviews/:reviewId/replyAPI key
POST/api/connect/commerce/eat/client/cart/checkoutPOST /api/connect/commerce/eat/client/cart/checkoutAPI key
DELETE/api/connect/commerce/eat/client/cart/lines/{lineId}DELETE /api/connect/commerce/eat/client/cart/lines/:lineIdAPI key
GET/api/connect/commerce/eat/client/merchants/{id}/reviewsGET /api/connect/commerce/eat/client/merchants/:id/reviewsAPI key
POST/api/connect/commerce/eat/client/merchants/{id}/reviewsPOST /api/connect/commerce/eat/client/merchants/:id/reviewsAPI key
GET/api/connect/commerce/eat/client/orders/{id}GET /api/connect/commerce/eat/client/orders/:idAPI key
GET/api/connect/commerce/eat/client/typesGET /api/connect/commerce/eat/client/typesAPI key

More endpoints (from code) / kiosk

MethodPathOperationAuth
GET/api/connect/commerce/kiosk/business/merchants/{merchantId}/categoriesGET /api/connect/commerce/kiosk/business/merchants/:merchantId/categoriesAPI key
DELETE/api/connect/commerce/kiosk/business/merchants/{merchantId}/categories/{categoryId}DELETE /api/connect/commerce/kiosk/business/merchants/:merchantId/categories/:categoryIdAPI key
PATCH/api/connect/commerce/kiosk/business/merchants/{merchantId}/categories/{categoryId}PATCH /api/connect/commerce/kiosk/business/merchants/:merchantId/categories/:categoryIdAPI key
GET/api/connect/commerce/kiosk/business/merchants/{merchantId}/products/{productId}GET /api/connect/commerce/kiosk/business/merchants/:merchantId/products/:productIdAPI key
PATCH/api/connect/commerce/kiosk/business/merchants/{merchantId}/products/{productId}PATCH /api/connect/commerce/kiosk/business/merchants/:merchantId/products/:productIdAPI key
PUT/api/connect/commerce/kiosk/business/merchants/{merchantId}/products/{productId}/skusPUT /api/connect/commerce/kiosk/business/merchants/:merchantId/products/:productId/skusAPI key
POST/api/connect/commerce/kiosk/business/merchants/{merchantId}/products/{productId}/variant-groupsPOST /api/connect/commerce/kiosk/business/merchants/:merchantId/products/:productId/variant-groupsAPI key
POST/api/connect/commerce/kiosk/business/merchants/{merchantId}/products/{productId}/variant-groups/{groupId}/valuesPOST /api/connect/commerce/kiosk/business/merchants/:merchantId/products/:productId/variant-groups/:groupId/valuesAPI key
GET/api/connect/commerce/kiosk/business/merchants/{merchantId}/promotionsGET /api/connect/commerce/kiosk/business/merchants/:merchantId/promotionsAPI key
POST/api/connect/commerce/kiosk/business/merchants/{merchantId}/promotionsPOST /api/connect/commerce/kiosk/business/merchants/:merchantId/promotionsAPI key
PATCH/api/connect/commerce/kiosk/business/merchants/{merchantId}/promotions/{promoId}PATCH /api/connect/commerce/kiosk/business/merchants/:merchantId/promotions/:promoIdAPI key
POST/api/connect/commerce/kiosk/business/merchants/{merchantId}/reviews/{reviewId}/replyPOST /api/connect/commerce/kiosk/business/merchants/:merchantId/reviews/:reviewId/replyAPI key
POST/api/connect/commerce/kiosk/client/cart/checkoutPOST /api/connect/commerce/kiosk/client/cart/checkoutAPI key
DELETE/api/connect/commerce/kiosk/client/cart/lines/{lineId}DELETE /api/connect/commerce/kiosk/client/cart/lines/:lineIdAPI key
GET/api/connect/commerce/kiosk/client/merchants/{id}/reviewsGET /api/connect/commerce/kiosk/client/merchants/:id/reviewsAPI key
POST/api/connect/commerce/kiosk/client/merchants/{id}/reviewsPOST /api/connect/commerce/kiosk/client/merchants/:id/reviewsAPI key
GET/api/connect/commerce/kiosk/client/orders/{id}GET /api/connect/commerce/kiosk/client/orders/:idAPI key
GET/api/connect/commerce/kiosk/client/typesGET /api/connect/commerce/kiosk/client/typesAPI key
MethodPathOperationAuth
PATCH/api/connect/commerce/link-in-bio/fintech/providers/{slug}/settingsPATCH /api/connect/commerce/link-in-bio/fintech/providers/:slug/settingsAPI key
GET/api/connect/commerce/link-in-bio/fintech/providers/{slug}/usernames/availabilityGET /api/connect/commerce/link-in-bio/fintech/providers/:slug/usernames/availabilityAPI key

More endpoints (from code) / pos

MethodPathOperationAuth
DELETE/api/connect/commerce/pos/catalog/{id}DELETE /api/connect/commerce/pos/catalog/:idAPI key
GET/api/connect/commerce/pos/sessions/{id}/linesGET /api/connect/commerce/pos/sessions/:id/linesAPI key
POST/api/connect/commerce/pos/sessions/{id}/pairingPOST /api/connect/commerce/pos/sessions/:id/pairingAPI key
POST/api/connect/commerce/pos/sessions/{id}/push-cartPOST /api/connect/commerce/pos/sessions/:id/push-cartPOS device token
POST/api/connect/commerce/pos/sessions/{id}/push-refundPOST /api/connect/commerce/pos/sessions/:id/push-refundPOS device token
GET/api/connect/commerce/pos/sessions/{id}/syncGET /api/connect/commerce/pos/sessions/:id/syncPOS device token
POST/api/connect/commerce/pos/sessions/{id}/syncPOST /api/connect/commerce/pos/sessions/:id/syncPOS device token

More endpoints (from code) / qr-pay

MethodPathOperationAuth
POST/api/connect/commerce/qr-pay/core/createPOST /api/connect/commerce/qr-pay/core/createAPI key
POST/api/connect/commerce/qr-pay/core/parsePOST /api/connect/commerce/qr-pay/core/parsePublic
POST/api/connect/commerce/qr-pay/core/payPOST /api/connect/commerce/qr-pay/core/payAPI key
POST/api/connect/commerce/qr-pay/core/resolvePOST /api/connect/commerce/qr-pay/core/resolveAPI key
POST/api/connect/commerce/qr-pay/public/parsePOST /api/connect/commerce/qr-pay/public/parsePublic
POST/api/connect/commerce/qr-pay/public/resolvePOST /api/connect/commerce/qr-pay/public/resolvePublic

More endpoints (from code) / shop

MethodPathOperationAuth
GET/api/connect/commerce/shop/business/merchants/{merchantId}/categoriesGET /api/connect/commerce/shop/business/merchants/:merchantId/categoriesAPI key
DELETE/api/connect/commerce/shop/business/merchants/{merchantId}/categories/{categoryId}DELETE /api/connect/commerce/shop/business/merchants/:merchantId/categories/:categoryIdAPI key
PATCH/api/connect/commerce/shop/business/merchants/{merchantId}/categories/{categoryId}PATCH /api/connect/commerce/shop/business/merchants/:merchantId/categories/:categoryIdAPI key
GET/api/connect/commerce/shop/business/merchants/{merchantId}/products/{productId}GET /api/connect/commerce/shop/business/merchants/:merchantId/products/:productIdAPI key
PATCH/api/connect/commerce/shop/business/merchants/{merchantId}/products/{productId}PATCH /api/connect/commerce/shop/business/merchants/:merchantId/products/:productIdAPI key
PUT/api/connect/commerce/shop/business/merchants/{merchantId}/products/{productId}/skusPUT /api/connect/commerce/shop/business/merchants/:merchantId/products/:productId/skusAPI key
POST/api/connect/commerce/shop/business/merchants/{merchantId}/products/{productId}/variant-groupsPOST /api/connect/commerce/shop/business/merchants/:merchantId/products/:productId/variant-groupsAPI key
POST/api/connect/commerce/shop/business/merchants/{merchantId}/products/{productId}/variant-groups/{groupId}/valuesPOST /api/connect/commerce/shop/business/merchants/:merchantId/products/:productId/variant-groups/:groupId/valuesAPI key
GET/api/connect/commerce/shop/business/merchants/{merchantId}/promotionsGET /api/connect/commerce/shop/business/merchants/:merchantId/promotionsAPI key
POST/api/connect/commerce/shop/business/merchants/{merchantId}/promotionsPOST /api/connect/commerce/shop/business/merchants/:merchantId/promotionsAPI key
PATCH/api/connect/commerce/shop/business/merchants/{merchantId}/promotions/{promoId}PATCH /api/connect/commerce/shop/business/merchants/:merchantId/promotions/:promoIdAPI key
POST/api/connect/commerce/shop/business/merchants/{merchantId}/reviews/{reviewId}/replyPOST /api/connect/commerce/shop/business/merchants/:merchantId/reviews/:reviewId/replyAPI key
POST/api/connect/commerce/shop/client/cart/checkoutPOST /api/connect/commerce/shop/client/cart/checkoutAPI key
DELETE/api/connect/commerce/shop/client/cart/lines/{lineId}DELETE /api/connect/commerce/shop/client/cart/lines/:lineIdAPI key
GET/api/connect/commerce/shop/client/merchants/{id}/reviewsGET /api/connect/commerce/shop/client/merchants/:id/reviewsAPI key
POST/api/connect/commerce/shop/client/merchants/{id}/reviewsPOST /api/connect/commerce/shop/client/merchants/:id/reviewsAPI key
GET/api/connect/commerce/shop/client/orders/{id}GET /api/connect/commerce/shop/client/orders/:idAPI key
GET/api/connect/commerce/shop/client/typesGET /api/connect/commerce/shop/client/typesAPI key

On this page